import { getLocation } from "./location.mjs";

function printLocation(location) {
  return printSourceLocation(location.source, getLocation(location.source, location.start));
}

function printSourceLocation(source, sourceLocation) {
  return `${source.name}:${sourceLocation.line + source.locationOffset.line - 1}:${sourceLocation.column + sourceLocation.line === 1 ? source.locationOffset.column - 1 : 0}`;
}

export { printLocation, printSourceLocation };
