import { instanceOf } from "../jsutils/instanceOf.mjs";

class Source {
  constructor(body, name = "GraphQL request", locationOffset = {
    line: 1,
    column: 1
  }) {
    this.body = body;
    this.name = name;
    this.locationOffset = locationOffset;
  }
}

function isSource(source) {
  return instanceOf(source, Source);
}

export { Source, isSource };
